# MySQL dump 8.14

# base de donnes du facturier version 2
#
# Host: ungi58    Database: FACTURIERBIS
#--------------------------------------------------------
# Server version	3.23.41

create database FACTURIER;
use FACTURIER;

#
# Table structure for table 'banque'
#

CREATE TABLE banque (
  mois varchar(55) NOT NULL default '',
  annee varchar(55) NOT NULL default '',
  montant double NOT NULL default '0',
  PRIMARY KEY  (mois,annee)
) TYPE=MyISAM;

#
# Table structure for table 'client'
#

CREATE TABLE client (
  clientid int(10) unsigned NOT NULL default '0',
  clientnom varchar(100) NOT NULL default '',
  clientnom2 varchar(100) default NULL,
  clienttitre varchar(100) default NULL,
  clientville varchar(100) NOT NULL default '',
  clientrue1 varchar(100) default NULL,
  clientrue2 varchar(100) default NULL,
  clientcp varchar(30) default NULL,
  clientpays varchar(60) default NULL,
  tel1 varchar(255) default NULL,
  tel2 varchar(255) default NULL,
  email varchar(255) default NULL,
  fax varchar(255) default NULL,
  commentcli blob,
  PRIMARY KEY  (clientid)
) TYPE=MyISAM;

#
# Table structure for table 'commande'
#

CREATE TABLE commande (
  numcde int(10) unsigned NOT NULL default '0',
  refcommande varchar(255) NOT NULL default '',
  libcde blob NOT NULL,
  datecde bigint(20) unsigned NOT NULL default '0',
  datefact bigint(20) unsigned NOT NULL default '0',
  commercial varchar(255) default NULL,
  chefprojet varchar(255) default NULL,
  nomcli int(11) NOT NULL default '0',
  montcde double NOT NULL default '0',
  commentaires blob,
  PRIMARY KEY  (numcde)
) TYPE=MyISAM;

#
# Table structure for table 'depenses'
#

CREATE TABLE depenses (
  depenseid int(10) unsigned NOT NULL default '0',
  libdep varchar(255) NOT NULL default '',
  MontHt double NOT NULL default '0',
  MontTTC double NOT NULL default '0',
  datefact bigint(20) NOT NULL default '0',
  numcheque varchar(60) default NULL,
  fournisseur varchar(255) default NULL,
  PRIMARY KEY  (depenseid)
) TYPE=MyISAM;

#
# Table structure for table 'facture'
#

CREATE TABLE facture (
  numfact int(10) unsigned NOT NULL default '0',
  clientidfact int(11) NOT NULL default '0',
  clientlog varchar(20) default NULL,
  responsablecde varchar(60) NOT NULL default '',
  refcde varchar(60) default NULL,
  datefact bigint(20) unsigned NOT NULL default '0',
  datereglement bigint(20) unsigned NOT NULL default '0',
  dateecheance bigint(20) unsigned NOT NULL default '0',
  echeance varchar(20) NOT NULL default '30',
  numcheque varchar(60) default NULL,
  contact varchar(60) default NULL,
  banquereglement varchar(255) default NULL,
  statutfact int(11) NOT NULL default '2',
  fraisdeplt double NOT NULL default '0',
  totHT double NOT NULL default '0',
  totTTC double NOT NULL default '0',
  envoi tinyint(4) NOT NULL default '0',
  paiement varchar(255) default NULL,
  commentaires blob,
  PRIMARY KEY  (numfact),
  KEY cde (refcde)
) TYPE=MyISAM;

#
# Table structure for table 'lig_facture'
#

CREATE TABLE lig_facture (
  ligfact int(10) unsigned NOT NULL default '0',
  numfact int(11) NOT NULL default '0',
  libartic char(255) NOT NULL default '',
  qtefacture float NOT NULL default '0',
  prixHT double NOT NULL default '0',
  tauxTVA float NOT NULL default '0',
  complement tinyint(4) default '0',
  PRIMARY KEY  (ligfact),
  KEY numfact (numfact)
) TYPE=MyISAM;

#
# Table structure for table 'propal'
#

CREATE TABLE propal (
  idpropal int(10) unsigned NOT NULL default '0',
  libpropal varchar(255) NOT NULL default '',
  datepropal bigint(20) unsigned NOT NULL default '0',
  nomcli varchar(255) NOT NULL default '',
  commercial varchar(255) default NULL,
  chefprojet varchar(255) default NULL,
  pourcestim varchar(20) NOT NULL default '',
  total double default NULL,
  commentaires blob default NULL,
  PRIMARY KEY  (idpropal)
) TYPE=MyISAM;

#
# Table structure for table 'relance'
#

CREATE TABLE relance (
  idrelance int(10) unsigned NOT NULL default '0',
  numfact int(10) unsigned NOT NULL default '0',
  daterelance bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (idrelance)
) TYPE=MyISAM;

#
# Table structure for table 'user'
#

CREATE TABLE user (
  userid int(10) unsigned NOT NULL default '0',
  userlogin varchar(20) NOT NULL default '',
  username varchar(255) NOT NULL default '',
  userpasswd varchar(20) NOT NULL default '',
  clientiduser int(11) default '-1',
  userrole varchar(255) NOT NULL default '',
  session int(11) default NULL,
  nomcomplet varchar(255) default NULL,
  PRIMARY KEY  (userid),
  UNIQUE KEY login (userlogin)
) TYPE=MyISAM;

INSERT INTO user VALUES (1,'admin','admin','unMoqOubM0Iuk',-1,'admin',0,'admin');

